org.apache.cassandra.notifications

## Class SSTableAddedNotification

- java.lang.Object
- - org.apache.cassandra.notifications.SSTableAddedNotification

- All Implemented Interfaces:
    INotification

      public class SSTableAddedNotification
      extends java.lang.Object
      implements INotification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SSTableReader` | `added`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableAddedNotification(SSTableReader added)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### added

          public final SSTableReader added

  - ### Constructor Detail

    - #### SSTableAddedNotification

          public SSTableAddedNotification(SSTableReader added)

Copyright © 2018 The Apache Software Foundation